Bug 622630

Summary: Review Request: pcalc - A program for calculating and converting between different bases
Product: [Fedora] Fedora Reporter: Christopher X.S. Zee <XiaShing>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bugs.michael, dcantrell, fedora-package-review, kryzhev, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-29 18:28:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Christopher X.S. Zee 2010-08-09 20:22:20 EDT
Spec URL:
http://xiashing.fedorapeople.org/SPECS/pcalc.spec
SRPM URL:
http://xiashing.fedorapeople.org/SRPMS/pcalc-2-1.fc12.src.rpm

pcalc is a program for calculating and converting between
different bases.
Comment 1 Christopher X.S. Zee 2010-08-10 04:51:19 EDT
There is an updated spec file and SRPM to fix some rpmlint errors.

Spec URL:
http://xiashing.fedorapeople.org/SPECS/pcalc.spec
SRPM URL:
http://xiashing.fedorapeople.org/SRPMS/pcalc-2-2.fc12.src.rpm
Comment 2 Michael Schwendt 2010-08-16 16:57:38 EDT
* A more concise "Summary" can be found directly in the README file:
Summary: Programmer's calculator, command line utility


* https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags


* Have you noticed the test suite?


* https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

Not directly related to the review, but none of the source or documentation files confirms that the GPLv2 (as in file "COPYING") shall be applied. Only the two bison generated files pcalc.c and pcalc.h refer to GPLv3+.


$ rpmlint pcalc-2-2.fc14.x86_64.rpm 
pcalc.x86_64: W: no-manual-page-for-binary pcalc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Including the "EXAMPLES" file would make sense. And why not include the "AUTHORS" file, too?
Comment 3 Christopher X.S. Zee 2010-08-16 23:02:19 EDT
Not sure what to do about the licensing and the lack of manpage in the RPM, but I've fixed up the summary and description for the spec file.

New SPEC:
http://xiashing.fedorapeople.org/SPECS/pcalc.spec

New SRPM:
http://xiashing.fedorapeople.org/SRPMS/pcalc-2-3.fc12.src.rpm
Comment 4 Michael Schwendt 2010-08-17 03:55:00 EDT
What about the other issues? The compiler flags, the test suite, and the missing %doc files?
Comment 5 Christopher X.S. Zee 2010-08-18 04:04:27 EDT
I fixed up the %doc files in the new spec file. What sort of compiler flags should I be adding? When you speak about the test suite, are you referring to rpmlint?
Comment 6 Michael Schwendt 2010-08-18 06:17:37 EDT
> What sort of compiler flags should I be adding?

I've specifically linked to:
https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags


> are you referring to rpmlint?

No, "make check" (or "make test") look suitable for a %check section.
Comment 7 Christopher X.S. Zee 2010-08-18 07:16:38 EDT
New SPEC file:
http://xiashing.fedorapeople.org/SPECS/pcalc.spec

New SRPM file:
http://xiashing.fedorapeople.org/SRPMS/pcalc-2-4.fc12.src.rpm

I've added the new %check directive to incorporate the test suite. I didn't realize that the Makefile for pcalc had testing enabled. The $RPM_OPT_FLAGS compiler flags are located under the %prep directive.
Comment 8 Michael Schwendt 2010-08-18 07:24:39 EDT
> The $RPM_OPT_FLAGS compiler flags are located under the %prep directive.

That's the wrong place. Hint: Test your changes, and a take look at the build output.
Comment 9 Christopher X.S. Zee 2010-08-18 07:33:33 EDT
New SPEC file:
http://xiashing.fedorapeople.org/SPECS/pcalc.spec

New SRPM file:
http://xiashing.fedorapeople.org/SRPMS/pcalc-2-5.fc12.src.rpm

Ok, I've moved the compiler flags to the %build section now.
Comment 10 Bug Zapper 2010-11-03 07:06:10 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Dmitrij S. Kryzhevich 2010-11-03 07:45:06 EDT
You need to escape "%build" into Changelog section (add one more "%").
Comment 12 Dmitrij S. Kryzhevich 2010-11-03 07:46:37 EDT
Sorry, read as "in the Cnagelog section".
Comment 13 Jason Tibbitts 2010-11-03 08:34:08 EDT
Somehow this was filed with Version set to F12, while review tickets should always be set to rawhide.  That caused the bugzapper script to comment on the ticket in error.  Review tickets don't expire unless the submitter fails to respond.  Fixing the version field so that this doesn't happen again.
Comment 14 Jason Tibbitts 2010-12-01 23:37:38 EST
In addition to Dmitrij's comment above which still needs to be addressed, could you comment on where you see that this software is under GPLv2?  I can't see anything execpt the COPYING file (which does not imply that the software is GPLv2) and the pcalc.c and pcalc.h files, which are GPLv3+ with the special exception which doesn't impose GPLv3+ on the whole work.